aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--doc/manual/nix-instantiate.xml30
-rw-r--r--src/nix-instantiate/nix-instantiate.cc4
-rw-r--r--tests/lang.sh10
-rw-r--r--tests/misc.sh2
4 files changed, 23 insertions, 23 deletions
diff --git a/doc/manual/nix-instantiate.xml b/doc/manual/nix-instantiate.xml
index a780302e1..b388560a1 100644
--- a/doc/manual/nix-instantiate.xml
+++ b/doc/manual/nix-instantiate.xml
@@ -19,9 +19,9 @@
<cmdsynopsis>
<command>nix-instantiate</command>
<group>
- <arg choice='plain'><option>--parse-only</option></arg>
+ <arg choice='plain'><option>--parse</option></arg>
<arg choice='plain'>
- <option>--eval-only</option>
+ <option>--eval</option>
<arg><option>--strict</option></arg>
<arg><option>--xml</option></arg>
</arg>
@@ -84,7 +84,7 @@ input.</para>
</varlistentry>
- <varlistentry><term><option>--parse-only</option></term>
+ <varlistentry><term><option>--parse</option></term>
<listitem><para>Just parse the input files, and print their
abstract syntax trees on standard output in ATerm
@@ -92,7 +92,7 @@ input.</para>
</varlistentry>
- <varlistentry><term><option>--eval-only</option></term>
+ <varlistentry><term><option>--eval</option></term>
<listitem><para>Just parse and evaluate the input files, and print
the resulting values on standard output. No instantiation of
@@ -115,8 +115,8 @@ input.</para>
<varlistentry><term><option>--xml</option></term>
- <listitem><para>When used with <option>--parse-only</option> and
- <option>--eval-only</option>, print the resulting expression as an
+ <listitem><para>When used with <option>--parse</option> and
+ <option>--eval</option>, print the resulting expression as an
XML representation of the abstract syntax tree rather than as an
ATerm. The schema is the same as that used by the <link
linkend="builtin-toXML"><function>toXML</function>
@@ -126,7 +126,7 @@ input.</para>
<varlistentry><term><option>--strict</option></term>
- <listitem><para>When used with <option>--eval-only</option>,
+ <listitem><para>When used with <option>--eval</option>,
recursively evaluate list elements and attributes. Normally, such
sub-expressions are left unevaluated (since the Nix expression
language is lazy).</para>
@@ -140,9 +140,9 @@ input.</para>
<varlistentry><term><option>--read-write-mode</option></term>
- <listitem><para>When used with <option>--eval-only</option>,
- perform evaluation in read/write mode so nix language features
- that require it will still work (at the cost of needing to do
+ <listitem><para>When used with <option>--eval</option>, perform
+ evaluation in read/write mode so nix language features that
+ require it will still work (at the cost of needing to do
instantiation of every evaluated derivation).</para>
</listitem>
@@ -195,13 +195,13 @@ $ nix-instantiate '&lt;nixpkgs>' -A hello
<para>Parsing and evaluating Nix expressions:
<screen>
-$ nix-instantiate --parse-only -E '1 + 2'
+$ nix-instantiate --parse -E '1 + 2'
1 + 2
-$ nix-instantiate --eval-only -E '1 + 2'
+$ nix-instantiate --eval -E '1 + 2'
3
-$ nix-instantiate --eval-only --xml -E '1 + 2'
+$ nix-instantiate --eval --xml -E '1 + 2'
<![CDATA[<?xml version='1.0' encoding='utf-8'?>
<expr>
<int value="3" />
@@ -212,7 +212,7 @@ $ nix-instantiate --eval-only --xml -E '1 + 2'
<para>The difference between non-strict and strict evaluation:
<screen>
-$ nix-instantiate --eval-only --xml -E 'rec { x = "foo"; y = x; }'
+$ nix-instantiate --eval --xml -E 'rec { x = "foo"; y = x; }'
<replaceable>...</replaceable><![CDATA[
<attr name="x">
<string value="foo" />
@@ -226,7 +226,7 @@ Note that <varname>y</varname> is left unevaluated (the XML
representation doesn’t attempt to show non-normal forms).
<screen>
-$ nix-instantiate --eval-only --xml --strict -E 'rec { x = "foo"; y = x; }'
+$ nix-instantiate --eval --xml --strict -E 'rec { x = "foo"; y = x; }'
<replaceable>...</replaceable><![CDATA[
<attr name="x">
<string value="foo" />
diff --git a/src/nix-instantiate/nix-instantiate.cc b/src/nix-instantiate/nix-instantiate.cc
index 941728698..762b52ae1 100644
--- a/src/nix-instantiate/nix-instantiate.cc
+++ b/src/nix-instantiate/nix-instantiate.cc
@@ -107,11 +107,11 @@ void run(Strings args)
readStdin = true;
else if (arg == "--expr" || arg == "-E")
fromArgs = true;
- else if (arg == "--eval-only")
+ else if (arg == "--eval" || arg == "--eval-only")
evalOnly = true;
else if (arg == "--read-write-mode")
wantsReadWrite = true;
- else if (arg == "--parse-only")
+ else if (arg == "--parse" || arg == "--parse-only")
parseOnly = evalOnly = true;
else if (arg == "--find-file")
findFile = true;
diff --git a/tests/lang.sh b/tests/lang.sh
index 0d93b9215..732480652 100644
--- a/tests/lang.sh
+++ b/tests/lang.sh
@@ -7,7 +7,7 @@ fail=0
for i in lang/parse-fail-*.nix; do
echo "parsing $i (should fail)";
i=$(basename $i .nix)
- if nix-instantiate --parse-only - < lang/$i.nix; then
+ if nix-instantiate --parse - < lang/$i.nix; then
echo "FAIL: $i shouldn't parse"
fail=1
fi
@@ -16,7 +16,7 @@ done
for i in lang/parse-okay-*.nix; do
echo "parsing $i (should succeed)";
i=$(basename $i .nix)
- if ! nix-instantiate --parse-only - < lang/$i.nix > lang/$i.out; then
+ if ! nix-instantiate --parse - < lang/$i.nix > lang/$i.out; then
echo "FAIL: $i should parse"
fail=1
fi
@@ -25,7 +25,7 @@ done
for i in lang/eval-fail-*.nix; do
echo "evaluating $i (should fail)";
i=$(basename $i .nix)
- if nix-instantiate --eval-only lang/$i.nix; then
+ if nix-instantiate --eval lang/$i.nix; then
echo "FAIL: $i shouldn't evaluate"
fail=1
fi
@@ -40,7 +40,7 @@ for i in lang/eval-okay-*.nix; do
if test -e lang/$i.flags; then
flags=$(cat lang/$i.flags)
fi
- if ! NIX_PATH=lang/dir3:lang/dir4_PATH nix-instantiate $flags --eval-only --strict lang/$i.nix > lang/$i.out; then
+ if ! NIX_PATH=lang/dir3:lang/dir4_PATH nix-instantiate $flags --eval --strict lang/$i.nix > lang/$i.out; then
echo "FAIL: $i should evaluate"
fail=1
elif ! diff lang/$i.out lang/$i.exp; then
@@ -50,7 +50,7 @@ for i in lang/eval-okay-*.nix; do
fi
if test -e lang/$i.exp.xml; then
- if ! nix-instantiate --eval-only --xml --no-location --strict \
+ if ! nix-instantiate --eval --xml --no-location --strict \
lang/$i.nix > lang/$i.out.xml; then
echo "FAIL: $i should evaluate"
fail=1
diff --git a/tests/misc.sh b/tests/misc.sh
index 42aa82c8d..1b4d8f2cf 100644
--- a/tests/misc.sh
+++ b/tests/misc.sh
@@ -5,7 +5,7 @@ source common.sh
# Do all commands have help?
#nix-env --help | grep -q install
#nix-store --help | grep -q realise
-#nix-instantiate --help | grep -q eval-only
+#nix-instantiate --help | grep -q eval
#nix-hash --help | grep -q base32
# Can we ask for the version number?